com.tibbo.aggregate.common.util

## Class TimeUnitsManager

- java.lang.Object
- - com.tibbo.aggregate.common.util.TimeUnitsManager

-     public class TimeUnitsManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeUnitsManager()`
    `TimeUnitsManager(int minUnit, int maxUnit)`
    `TimeUnitsManager(java.lang.String editorOptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createTimeString(long period)`
    `int` | `getMaxUnit()`
    `int` | `getMinUnit()`
    `TimeUnit` | `getUnitByDescription(java.lang.String description)`
    `java.util.List<TimeUnit>` | `getUnits()`
    `TimeUnit` | `selectUnitByPeriod(long newPeriod)`
    `void` | `setMaxUnit(int maxUnit)`
    `void` | `setMinUnit(int minUnit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeUnitsManager

          public TimeUnitsManager()

    - #### TimeUnitsManager

          public TimeUnitsManager(java.lang.String editorOptions)

    - #### TimeUnitsManager

          public TimeUnitsManager(int minUnit,
                                  int maxUnit)

  - ### Method Detail

    - #### getMinUnit

          public int getMinUnit()

    - #### getUnits

          public java.util.List<TimeUnit> getUnits()

    - #### setMinUnit

          public void setMinUnit(int minUnit)

    - #### getMaxUnit

          public int getMaxUnit()

    - #### setMaxUnit

          public void setMaxUnit(int maxUnit)

    - #### selectUnitByPeriod

          public TimeUnit selectUnitByPeriod(long newPeriod)

    - #### getUnitByDescription

          public TimeUnit getUnitByDescription(java.lang.String description)

    - #### createTimeString

          public java.lang.String createTimeString(long period)